Name:                python-utils
Version:             2.5.6
Release:             1
Summary:             Python Utils is a module with some convenient utilities
License:             BSD
URL:                 https://github.com/WoLpH/python-utils
Source0:             %{url}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz
BuildArch:           noarch
BuildRequires:       make python3-devel python3-pytest-runner python3-pytest python3-setuptools
BuildRequires:       python3-six python3-sphinx
%?python_enable_dependency_generator
%description
Python Utils is a collection of small Python functions and classes which
make common patterns shorter and easier. This module makes it easy to
execute common tasks in Python scripts such as converting text to numbers
and making sure a string is in unicode or bytes format.

%package -n     python3-utils
Summary:             %{summary}
%{?python_provide:%python_provide python3-utils}
%description -n python3-utils
Python Utils is a collection of small Python functions and classes which
make common patterns shorter and easier. This module makes it easy to
execute common tasks in Python scripts such as converting text to numbers
and making sure a string is in unicode or bytes format.

%prep
%autosetup -p1 -n %{name}-%{version}
rm -rf %{name}.egg-info
sed -Ei '/--(cov|pep8|flake8)/d' pytest.ini
sed -Ezi 's/flake8.+=.+\n(\s*\S+\s*\n)*\n/\n/' pytest.ini

%build
%py3_build
sphinx-build-3 docs html
rm -rf html/{.doctrees,.buildinfo,*.inv}

%install
%py3_install

%files -n python3-utils
%doc README.rst html
%license LICENSE
%{python3_sitelib}/python_utils
%{python3_sitelib}/python_utils-%{version}-py%{python3_version}.egg-info

%changelog
* Mon Dec 27 2021 liyanan <liyanan32@huawei.com> - 2.5.6-1
- package init
